summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2018-06-30 08:49:38 +0100
committerV3n3RiX <venerix@redcorelinux.org>2018-06-30 08:49:38 +0100
commitb2be182d49eea46686b5cf2680d457df61e89dc4 (patch)
treec66442ced2011c5ca81c3114cc51041e314c6d33 /eclass
parente23cdda4dbb0c83b9e682ab5e916085a35203da5 (diff)
gentoo resync : 30.06.2018
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin38388 -> 38384 bytes
-rw-r--r--eclass/linux-mod.eclass2
-rw-r--r--eclass/qmake-utils.eclass6
-rw-r--r--eclass/qt4-build-multilib.eclass1
-rw-r--r--eclass/qt4-r2.eclass1
-rw-r--r--eclass/unpacker.eclass7
6 files changed, 15 insertions, 2 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 8b58972b8832..5e98e3bb62f1 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/linux-mod.eclass b/eclass/linux-mod.eclass
index bf580cf4cfa9..e5b5ec782f0c 100644
--- a/eclass/linux-mod.eclass
+++ b/eclass/linux-mod.eclass
@@ -150,7 +150,7 @@ RDEPEND="${MODULES_OPTIONAL_USE}${MODULES_OPTIONAL_USE:+? (} kernel_linux? ( vir
DEPEND="${RDEPEND}
${MODULES_OPTIONAL_USE}${MODULES_OPTIONAL_USE:+? (}
sys-apps/sed
- kernel_linux? ( virtual/linux-sources )
+ kernel_linux? ( virtual/linux-sources virtual/libelf )
${MODULES_OPTIONAL_USE:+)}"
# eclass utilities
diff --git a/eclass/qmake-utils.eclass b/eclass/qmake-utils.eclass
index 74ceca4aadd1..67e13d7006b4 100644
--- a/eclass/qmake-utils.eclass
+++ b/eclass/qmake-utils.eclass
@@ -24,6 +24,7 @@ inherit estack toolchain-funcs
# Echoes the directory where Qt4 binaries are installed.
# EPREFIX is already prepended to the returned path.
qt4_get_bindir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
has "${EAPI:-0}" 0 1 2 && use !prefix && EPREFIX=
local qtbindir=${EPREFIX}$(qt4_get_libdir)/bin
@@ -38,6 +39,7 @@ qt4_get_bindir() {
# @DESCRIPTION:
# Echoes the directory where Qt4 headers are installed.
qt4_get_headerdir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
echo /usr/include/qt4
}
@@ -45,6 +47,7 @@ qt4_get_headerdir() {
# @DESCRIPTION:
# Echoes the directory where Qt4 libraries are installed.
qt4_get_libdir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
echo /usr/$(get_libdir)/qt4
}
@@ -52,6 +55,7 @@ qt4_get_libdir() {
# @DESCRIPTION:
# Echoes the directory where Qt4 mkspecs are installed.
qt4_get_mkspecsdir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
echo /usr/share/qt4/mkspecs
}
@@ -59,6 +63,7 @@ qt4_get_mkspecsdir() {
# @DESCRIPTION:
# Echoes the directory where Qt4 plugins are installed.
qt4_get_plugindir() {
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
echo $(qt4_get_libdir)/plugins
}
@@ -161,6 +166,7 @@ qmake-utils_find_pro_file() {
eqmake4() {
debug-print-function ${FUNCNAME} "$@"
+ [[ ${EAPI:-0} == [0123456] ]] || die "${FUNCNAME[1]} is banned in EAPI 7 and later"
has "${EAPI:-0}" 0 1 2 && use !prefix && EPREFIX=
ebegin "Running qmake"
diff --git a/eclass/qt4-build-multilib.eclass b/eclass/qt4-build-multilib.eclass
index 7666936bbc97..4c16be0f5a49 100644
--- a/eclass/qt4-build-multilib.eclass
+++ b/eclass/qt4-build-multilib.eclass
@@ -1,6 +1,7 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+# @DEAD
# @ECLASS: qt4-build-multilib.eclass
# @MAINTAINER:
# qt@gentoo.org
diff --git a/eclass/qt4-r2.eclass b/eclass/qt4-r2.eclass
index d8a72529a326..34309373d13e 100644
--- a/eclass/qt4-r2.eclass
+++ b/eclass/qt4-r2.eclass
@@ -1,6 +1,7 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
+# @DEAD
# @ECLASS: qt4-r2.eclass
# @MAINTAINER:
# qt@gentoo.org
diff --git a/eclass/unpacker.eclass b/eclass/unpacker.eclass
index 6e9961206469..c2c69dbc7d6b 100644
--- a/eclass/unpacker.eclass
+++ b/eclass/unpacker.eclass
@@ -433,7 +433,12 @@ unpacker_src_unpack() {
unpacker_src_uri_depends() {
local uri deps d
- [[ $# -eq 0 ]] && set -- ${SRC_URI}
+ if [[ $# -eq 0 ]] ; then
+ # Disable path expansion for USE conditionals. #654960
+ set -f
+ set -- ${SRC_URI}
+ set +f
+ fi
for uri in "$@" ; do
case ${uri} in